﻿@{
    ViewData["Title"] = "Add Product";
}

<h2>Add Product</h2>
<hr />
<div class="row">
    <div class="col-6">
        <label>Product Code<span style="display:none;" class="text-danger" id="ProductCode_Error">ProductCode Is Exist ** </span></label>
        <input name="ProductCode" id="ProductCode" class="form-control" />
    </div>
</div>
<div class="row">
    <div class="col-6">
        <label>Product Name</label>
        <input name="ProductName" id="ProductName" class="form-control" />
    </div>
</div>
<div class="row">
    <div class="col-6">
        <label>Price</label>
        <input name="PricePerUnit" id="PricePerUnit" type="number" class="form-control" value="0" />
    </div>
</div>
<div class="row">
    <div class="col-6" style="margin-top:15px;">
        <label>StockQty</label>
        <input name="StockQty" id="StockQty" type="number" class="form-control" value="0" min="1" max="1000000"  />
    </div>
</div>

<div style="margin-top:15px">
    <input class="btn btn-success" value="Submit" onclick="Save()" />
</div>



@section Scripts {

<script type="text/javascript">
    function Save() {
        $.ajax({
            url: '../api/Product', // Replace with your API URL
            type: 'POST',
            data: {
                "value": $("#ProductCode").val() + "|" + $("#ProductName").val() + "|" + $("#PricePerUnit").val() + "|" + $("#StockQty").val()
            },
            dataType: 'text',
            success: function (data) {
                 if(data == "Exist"){
                    $("#ProductCode_Error").show();
                 }
                 else{
                    window.location.replace("/Home");
                 }
                
            },
            error: function (xhr, status, error) {
               // alert("Success");
                //window.location.replace("/Home");
            }
        });
    }
</script>
}